Summary: A tool for creating scanners (text pattern recognizers).
Name: flex
Version: 2.5.4a
Release: 20tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/non-gnu/flex/flex-2.5.4a.tar.gz
Patch0: flex-2.5.4a-skel.patch
Patch1: flex-2.5.4-glibc22.patch
Patch2: flex-2.5.4a-gcc3.patch
Patch3: flex-2.5.4a-gcc31.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q -n flex-2.5.4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make prefix=${RPM_BUILD_ROOT}%{_prefix} install

( cd ${RPM_BUILD_ROOT}
  strip .%{_prefix}/bin/flex
  ln -sf flex .%{_prefix}/bin/lex
  mkdir -p ./usr/share/man
  mv ./usr/man/* ./usr/share/man
  ln -s flex.1 .%{_prefix}/share/man/man1/lex.1
  ln -s flex.1 .%{_prefix}/share/man/man1/flex++.1
  ln -s libfl.a .%{_prefix}/lib/libl.a
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING NEWS README
%{_prefix}/bin/lex
%{_prefix}/bin/flex
%{_prefix}/bin/flex++
%{_prefix}/share/man/man1/*
%{_prefix}/lib/libl.a
%{_prefix}/lib/libfl.a
%{_prefix}/include/FlexLexer.h

%changelog
* Tue Mar 15 2005 Raghu <raghu at comodo dot com> 2.5.4a-19tr
- Rebuilt

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 2.5.4a-16tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.4a-15tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.5.4a-14em
- Rebuilt against glibc 2.3.2.

* Fri Sep 13 2002 Roland Kruse <rolandk at trustix dot com> 2.5.4a-13rk
- Added patches for glibc 2.2 and gcc 3.x (Patch[1-3])

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 2.5.4a-12dm
- rebuild for Trustix Secure Linux 2.0

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man pages to /usr/share, FHS

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- add a libl.a link to libfl.a

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- avoid uninitialized variable warning (Erez Zadok).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.5.4 to 2.5.4a

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 2.5.4
